SolrQuery::setFacetOffset
SolrQuery::setFacetSort
SolrQuery
PHP Manual

# SolrQuery::setFacetPrefix

Specifies a string prefix with which to limits the terms on which to facet

### Description

public SolrQuery SolrQuery::setFacetPrefix ( string `$prefix` [, string `$field_override` ] )

Specifies a string prefix with which to limits the terms on which to facet.

### Parameters

`prefix`

  The prefix string

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.